(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.2";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Arial", 24, L0, center, nohscroll, bold, r65280, g65280, b32768;
	fontset = subtitle, "Arial", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Arial", 14, L0, center, nohscroll, bold;
	fontset = section, "Arial", 14, L0, bold, grayBox;
	fontset = subsection, "Arial", 12, L0, bold, blackBox;
	fontset = subsubsection, "Arial", 10, L0, bold, whiteBox;
	fontset = text, "Arial", 12, L0;
	fontset = smalltext, "Arial", 10, L0;
	fontset = input, "Courier New", 12, L0, nowordwrap, bold;
	fontset = output, "Courier New", 12, L0, nowordwrap;
	fontset = message, "Courier New", 10, L0, nowordwrap, R65280;
	fontset = print, "Courier New", 10, L0, nowordwrap;
	fontset = info, "Courier New", 10, L0, nowordwrap;
	fontset = postscript, "Courier New", 8, L0, nowordwrap;
	fontset = name, "Arial", 10, L0, nohscroll, italic, B65280;
	fontset = header, "Times New Roman", 10, L0, right, nohscroll;
	fontset = footer, "Times New Roman", 10, L0, right, nohscroll;
	fontset = help, "Arial", 10, L0, nohscroll;
	fontset = clipboard, "Arial", 12, L0, nohscroll;
	fontset = completions, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = graphics, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = special2, "Arial", 12, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Arial", 12, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = special5, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = leftheader, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = leftfooter, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = reserved1, "Courier New", 10, L0, nowordwrap, nohscroll;]
:[font = title; inactive; nohscroll; center; ]
Mtodo da Eliminao de Gauss
:[font = input; startGroup; nowordwrap; ]
a={{9,1,-2,2},{1,15,-3,2},{1,-2,8,3},{2,2,1,12}};
b={10.5,14.6,18.1,19.4};

n=Length[x];
x=Table[0,{n}];

For[k=1, k<=n-1, k++,
  For[i=k+1, i<=n, i++,
  m = a[[i,k]]/a[[k,k]];
  a[[i,k]] = 0;
  For[j=k+1, j<=n, j++, a[[i,j]] = a[[i,j]] - a[[k,j]] * m ];
  b[[i]] = b[[i]] - b[[k]] * m;
  ]
]

x[[n]] = b[[n]]/a[[n,n]];

For[k=n-1, k>=1, k--,
   For[j=k+1; s=0, j<=n, j++, s = s + a[[k,j]] * x[[j]] ];
   x[[k]] = (b[[k]] - s) / a[[k,k]];
]

TableForm[x]
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
TableForm[{1.25, 1.15, 2., 1.05}]


;[o]
1.25

1.15

2.

1.05
^*)